--==========================================================================================================================
-- GEDEMON YNAEMP StartPosition
--==========================================================================================================================

CREATE TABLE IF NOT EXISTS StartPosition
	(	MapName TEXT NOT NULL,
		Civilization TEXT,
		Leader TEXT,
		DisabledByCivilization TEXT,
		DisabledByLeader TEXT,
		AlternateStart INT default 0,
		X INT default 0,
		Y INT default 0);

INSERT INTO StartPosition
	(Civilization, Leader, MapName, X, Y)
VALUES
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_DIDO', 'GreatestEarthMap', 47, 36),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_DIDO', 'GiantEarth', 18, 52),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_DIDO', 'LargestEarth', 23, 64),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_DIDO', 'PlayEuropeAgain', 37, 23),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HANNO', 'GreatestEarthMap', 47, 36),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HANNO', 'GiantEarth', 18, 52),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HANNO', 'LargestEarth', 23, 64),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HANNO', 'PlayEuropeAgain', 37, 23),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HASDRUBAL', 'GreatestEarthMap', 47, 36),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HASDRUBAL', 'GiantEarth', 18, 52),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HASDRUBAL', 'LargestEarth', 23, 64),
	('CIVILIZATION_GT_CARTHAGE', 'LEADER_GT_HASDRUBAL', 'PlayEuropeAgain', 37, 23);

-- moves vanilla city-state of Carthage on Ynaemp maps
DELETE FROM StartPosition WHERE Civilization = 'CIVILIZATION_CARTHAGE';

INSERT INTO StartPosition 
	(Civilization, MapName, X, Y) 
VALUES
    ('CIVILIZATION_CARTHAGE', 'GiantEarth', 22, 51),
    ('CIVILIZATION_CARTHAGE', 'GreatestEarthMap', 50, 38),
    ('CIVILIZATION_CARTHAGE', 'LargestEarth', 23, 64),
    ('CIVILIZATION_CARTHAGE', 'PlayEuropeAgain', 44, 23);